@import "@/styles/variables";

.header {
    grid-column: 1 / -1;
    display: grid;
    grid-template-columns: max-content max-content auto;
    align-items: center;
    gap: 0.5rem;
    padding: 0.75rem;
    z-index: 100;
    position: sticky;
    top: 0;
    max-height: 4.5rem;

    @include smallscreen {
        gap: 1rem;
    }

    @include notebook {
        padding: 0.75rem 4rem;
    }

    background-color: rgb($white, 96%);

    &-searchable-container {
        display: none;

        @include notebook {
            display: flex;
            align-items: center;
            width: 100%;
            gap: 1rem;
        }
    }

    &-container {
        display: flex;
        align-items: center;
        justify-content: space-between;
        max-height: 4.5rem;

        &__title {
            display: none;

            @include notebook {
                display: block;
            }
        }
    }

    &-filter-container {
        display: none;

        @include notebook {
            display: flex;
            align-items: center;
            justify-content: flex-end;
            gap: 1rem;
        }
    }

    .button-container {
        display: flex;
        justify-content: flex-end;
        gap: 1rem;
        margin-left: auto;
    }

    input {
        justify-content: start;
    }

    .button-back {
        @include notebook {
            padding: 0.75rem;
            border-radius: 0.5rem;
        }

        span:last-child {
            display: flex;
            justify-content: flex-start;

            @include notebook {
                display: none;
            }
        }
    }

    .user-button {
        display: flex;
        justify-content: flex-end;
    }

    a {
        text-decoration: none;
    }
}
